<?php
// $Id: asterisk_config.inc,v 1.3 2007/02/16 05:18:04 thehunmonkgroup Exp $

/**
 * @file
 * Polls a drupal server for queued calls and dispatches them to an asterisk server.
 *
 * If Asterisk and Drupal are on different servers, then you'll need to copy this file
 * to the Asterisk server.  If you're using asterisk_cron.php to poll calls from your
 * Drupal site, then place this file in the same directory as asterisk_cron.php.
 */

/**
 * The following path settings depend on your Asterisk installation--the current settings
 * are merely a best guess.  Check your Asterisk installation to set these properly!
 *
 * Note: Put no trailing slashes on any of the path names.
 */

/**
 * Directories
 */

// The main asterisk configuration directory.
define('ASTERISK_CONF_DIR', '/etc/asterisk');

// The Asterisk call spool directory.
define('CALL_SPOOL_DIR', '/var/spool/asterisk/outgoing');

/**
 * Executables
 */

// The Asterisk executable.
define('ASTERISK', '/usr/sbin/asterisk');

// The Sox executable.
define('SOX', '/usr/bin/sox');

// The mpg123 executable.
define('MPG123', '/usr/local/bin/mpg123');
